Subject: Re: [PATCH 2/2] thermal/drivers/mellanox: Use generic thermal_zone_get_trip() function

From: Ido Schimmel <[email-masked]>
Date: Tue, 25 Oct 2022 13:32:17 +0300

On Tue, Oct 25, 2022 at 09:02:23AM +0200, Daniel Lezcano wrote:
> Because I hope I can remove the ops->get_trip_ ops from thermal_ops
> structure before the end of this cycle.

OK. Vadim, any chance you can review the patch?

> May be you can consider moving the thermal driver into drivers/thermal?

I don't think it's worth the hassle (if possible at all). In practice,
this code is upstream for almost six years and IIRC we didn't have any
conflicts with the thermal tree. I don't expect conflicts this cycle
either.